Lister les notes au niveau de l’organisation
curl --request GET \
--url https://api.devin.ai/v3/organizations/{org_id}/knowledge/notes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/knowledge/notes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/organizations/{org_id}/knowledge/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"body": "<string>",
"created_at": 123,
"folder_id": "<string>",
"folder_path": "<string>",
"is_enabled": true,
"macro": "<string>",
"name": "<string>",
"note_id": "<string>",
"org_id": "<string>",
"pinned_repo": "<string>",
"trigger": "<string>",
"updated_at": 123
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Notes de Knowledge (Organisation)
Lister les notes au niveau de l’organisation
Lister les notes d’une organisation.
GET
/
v3
/
organizations
/
{org_id}
/
knowledge
/
notes
Lister les notes au niveau de l’organisation
Autorisations
ManageAccountKnowledge pour l’organisation spécifiée.Autorisations
Identifiant de compte de service (préfixe : cog_)
Paramètres de chemin
ID de l’organisation (préfixe : org-)
Exemple:
"org-abc123def456"
Paramètres de requête
Plage requise:
1 <= x <= 200Réponse
Réponse réussie
Show child attributes
Show child attributes
Curseur permettant de récupérer la page suivante, ou None s’il s’agit de la dernière page.
Indique s’il existe d’autres éléments après cette page.
Nombre total optionnel (peut être omis pour des raisons de performances).
⌘I

